## r-cran-fauxpas 0.2.0%2Bdfsg

=== debian/changelog ===
r-cran-fauxpas (0.2.0+dfsg-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends
  * Remove html doc which contains compressed copy of jquery

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 21:51:00 +0200

r-cran-fauxpas (0.2.0-1) unstable; urgency=medium

  * Initial release (closes: #892094)

 -- Andreas Tille <tille@debian.org>  Mon, 05 Mar 2018 13:12:11 +0100

## r-cran-fauxpas 0.2.0+dfsg

=== DESCRIPTION ===
Package: fauxpas
Title: HTTP Error Helpers
Description: HTTP error helpers. Methods included for general purpose HTTP 
    error handling, as well as individual methods for every HTTP status
    code, both via status code numbers as well as their descriptive names.
    Supports ability to adjust behavior to stop, message or warning.
    Includes ability to use custom whisker template to have any configuration
    of status code, short description, and verbose message. Currently 
    supports integration with 'crul', 'curl', and 'httr'.
Version: 0.2.0
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com", 
    comment = c(ORCID = "0000-0003-1444-9135"))
License: MIT + file LICENSE
URL: https://github.com/ropenscilabs/fauxpas
BugReports: https://github.com/ropenscilabs/fauxpas/issues
VignetteBuilder: knitr
Imports: R6 (>= 2.1.2), httpcode (>= 0.2.0), whisker
Suggests: crul (>= 0.5.0), curl (>= 2.2), httr (>= 1.2.0), testthat,
        knitr, rmarkdown
RoxygenNote: 6.0.1
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, errors,
        error,
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2018-03-01 03:18:09 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2018-03-01 12:54:53 UTC

=== debian/changelog ===
r-cran-fauxpas (0.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 24 Feb 2020 13:41:33 +0100

=== debian/control ===
Source: r-cran-fauxpas
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-r6,
               r-cran-httpcode,
               r-cran-whisker
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fauxpas
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fauxpas.git
Homepage: https://cran.r-project.org/package=fauxpas

Package: r-cran-fauxpas
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R HTTP error helpers
 HTTP error helpers. Methods included for general purpose HTTP
 error handling, as well as individual methods for every HTTP status
 code, both via status code numbers as well as their descriptive names.
 Supports ability to adjust behavior to stop, message or warning.
 Includes ability to use custom whisker template to have any configuration
 of status code, short description, and verbose message. Currently
 supports integration with 'crul', 'curl', and 'httr'.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/fauxpas_([-\d.]*)\.tar\.gz

## r-cran-fauxpas 0.5.0+dfsg

=== DESCRIPTION ===
Package: fauxpas
Title: HTTP Error Helpers
Description: HTTP error helpers. Methods included for general purpose HTTP 
    error handling, as well as individual methods for every HTTP status
    code, both via status code numbers as well as their descriptive names.
    Supports ability to adjust behavior to stop, message or warning.
    Includes ability to use custom whisker template to have any configuration
    of status code, short description, and verbose message. Currently 
    supports integration with 'crul', 'curl', and 'httr'.
Version: 0.5.0
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com", 
    comment = c(ORCID = "0000-0003-1444-9135"))
License: MIT + file LICENSE
URL: https://docs.ropensci.org/fauxpas,
        https://github.com/ropensci/fauxpas
BugReports: https://github.com/ropensci/fauxpas/issues
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
Imports: R6 (>= 2.1.2), httpcode (>= 0.3.0), whisker
Suggests: crul (>= 0.5.0), curl (>= 2.2), httr (>= 1.2.0), testthat,
        knitr, rmarkdown
RoxygenNote: 7.1.0
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, errors,
        error
X-schema.org-isPartOf: https://ropensci.org
NeedsCompilation: no
Packaged: 2020-04-13 15:51:08 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2020-04-13 16:10:02 UTC

=== debian/changelog ===
r-cran-fauxpas (0.5.0+dfsg-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:11:36 +0000

r-cran-fauxpas (0.5.0+dfsg-2) unstable; urgency=medium

  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 16:08:51 +0200

r-cran-fauxpas (0.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 16 Apr 2020 16:13:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-r6,
-               r-cran-httpcode,
+               r-cran-httpcode (>= 0.3.0),
                r-cran-whisker
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fauxpas
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fauxpas.git
 Homepage: https://cran.r-project.org/package=fauxpas
+Rules-Requires-Root: no
 
 Package: r-cran-fauxpas
 Architecture: all

## r-cran-fauxpas 0.5.2+dfsg

=== DESCRIPTION ===
Package: fauxpas
Title: HTTP Error Helpers
Description: HTTP error helpers. Methods included for general purpose HTTP 
    error handling, as well as individual methods for every HTTP status
    code, both via status code numbers as well as their descriptive names.
    Supports ability to adjust behavior to stop, message or warning.
    Includes ability to use custom whisker template to have any configuration
    of status code, short description, and verbose message. Currently 
    supports integration with 'crul', 'curl', and 'httr'.
Version: 0.5.2
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com", 
    comment = c(ORCID = "0000-0003-1444-9135"))
License: MIT + file LICENSE
URL: https://sckott.github.io/fauxpas/,
        https://github.com/sckott/fauxpas
BugReports: https://github.com/sckott/fauxpas/issues
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
Imports: R6 (>= 2.1.2), httpcode (>= 0.3.0), whisker
Suggests: crul (>= 0.5.0), curl (>= 2.2), httr (>= 1.2.0), testthat,
        knitr, rmarkdown
RoxygenNote: 7.2.3
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, errors,
        error
NeedsCompilation: no
Packaged: 2023-05-02 21:33:03 UTC; sckott
Author: Scott Chamberlain [aut, cre] (<https://orcid.org/0000-0003-1444-9135>)
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2023-05-03 08:10:09 UTC

=== debian/changelog ===
r-cran-fauxpas (0.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 14 Jun 2023 14:18:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-r6,
-               r-cran-httpcode (>= 0.3.0),
+               r-cran-httpcode,
                r-cran-whisker
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fauxpas
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fauxpas.git
 Homepage: https://cran.r-project.org/package=fauxpas

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-crul
Restrictions: allow-stderr

## r-cran-fauxpas 0.6.0%2Bdfsg

=== DESCRIPTION ===
Package: fauxpas
Title: HTTP Error Helpers
Description: HTTP error helpers. Methods included for general purpose HTTP
    error handling, as well as individual methods for every HTTP status
    code, both via status code numbers as well as their descriptive names.
    Supports ability to adjust behavior to stop, message or warning.
    Includes ability to use custom whisker template to have any configuration
    of status code, short description, and verbose message. Currently
    supports integration with 'crul', 'curl', and 'httr'.
Version: 0.6.0
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com",
    comment = c(ORCID = "0000-0003-1444-9135"))
License: MIT + file LICENSE
URL: https://sckott.github.io/fauxpas/,
        https://github.com/sckott/fauxpas
BugReports: https://github.com/sckott/fauxpas/issues
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
Imports: R6 (>= 2.1.2), httpcode (>= 0.3.0), whisker
Suggests: crul (>= 0.5.0), curl (>= 2.2), httr (>= 1.2.0), testthat,
        knitr, rmarkdown
RoxygenNote: 7.3.3
X-schema.org-applicationCategory: Web
X-schema.org-keywords: http, https, API, web-services, curl, errors,
        error
NeedsCompilation: no
Packaged: 2026-02-19 23:57:43 UTC; sckott
Author: Scott Chamberlain [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-1444-9135>)
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2026-02-20 06:40:10 UTC

## r-cran-fauxpas 0.6.0+dfsg

=== debian/changelog ===
r-cran-fauxpas (0.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 23 Feb 2026 13:44:36 +0900

=== debian/control ===
Source: r-cran-fauxpas
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-r6,
 r-cran-httpcode,
 r-cran-whisker,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fauxpas
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fauxpas.git
Homepage: https://cran.r-project.org/package=fauxpas
Rules-Requires-Root: no

Package: r-cran-fauxpas
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R HTTP error helpers
 HTTP error helpers. Methods included for general purpose HTTP
 error handling, as well as individual methods for every HTTP status
 code, both via status code numbers as well as their descriptive names.
 Supports ability to adjust behavior to stop, message or warning.
 Includes ability to use custom whisker template to have any configuration
 of status code, short description, and verbose message. Currently
 supports integration with 'crul', 'curl', and 'httr'.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-crul (>= 0.5.0),
 r-cran-curl (>= 2.2),
 r-cran-httr (>= 1.2.0),
 r-cran-testthat,
 r-cran-knitr,
 r-cran-rmarkdown,
